## gdm3 3.22.1

=== debian/changelog ===
gdm3 (3.22.1-1ubuntu1) zesty; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for ubuntu_config_error_dialog.patch
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment (LP: #952185)
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + ubuntu_run_xsession.d.patch
    + ubuntu_upstart_event.patch:
      - Emit upstart events
    + ubuntu_xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + ubuntu_nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed (LP: #1262068)
    + revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + ubuntu_config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail (LP: #678421).
    + 09_default_session.patch:
      - Dropped, all the other Ubuntu flavors use LightDM and it only takes a
        gsettings override to set a different default session

  [ Michael Biebl ]
  * Stop setting authdir, has been dropped upstream in favour of xauthdir.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 11 Dec 2016 14:58:43 -0500

gdm3 (3.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/16_xserver_path.patch.
  * Strip debian/tmp/ from .install files.
  * Bump debhelper compat level to 10.
  * Remove migration code from pre-wheezy.
  * Stop passing start and stop runlevels to update-rc.d. Those are no longer
    supported with dependency based boot.
  * Do not hard-code path for deluser/delgroup.
  * Completely disable the dh-systemd addon via --without systemd. We use
    debconf and custom maintainer scripts to enable/disable and
    start/stop/reload the gdm service.

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Oct 2016 00:17:17 +0200

gdm3 (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 21:47:00 +0200

gdm3 (3.21.91-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * New upstream beta release.
  * Convert from cdbs to dh.
  * Bump debhelper compat to 9

  [ Laurent Bigonville ]
  * debian/gdm3.gdm-autologin.pam: Add a missing bit to automagically unlock
    the keyring when autologin on a computer using LUKS root filesystem. This
    is not yet working out-of-the-box in debian as it require some plumbing
    at early-boot (cryptsetup) or systemd in the initramfs.

  [ Michael Biebl ]
  * Drop remaining ConsoleKit build dependencies and configure switches.
    Support for ConsoleKit is most likely not coming back.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Sep 2016 22:39:51 +0200

gdm3 (3.21.90-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - Add libkeyutils-dev [linux-any]
  * Bump Standards-Version to 3.9.8
  * debian/gdm3.lintian-overrides:
    - Add overrides for systemd-service-file-missing-install-key

  [ Laurent Bigonville ]
  * Ship new pam_gdm.so PAM module and update gdm-autologin PAM service file

 -- Laurent Bigonville <bigon@debian.org>  Wed, 31 Aug 2016 10:28:16 +0200
