=== debian/rules ===
#!/usr/bin/make -f

GNOME_MODULE := gdm

include /usr/share/dpkg/architecture.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

ifeq (linux,$(DEB_HOST_ARCH_OS))
CONFFLAGS += \
	--enable-wayland-support \
	--with-selinux \
	--with-plymouth
else
CONFFLAGS += \
	--disable-wayland-support \
	--without-selinux \
	--with-vt-switch-workaround
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
CONFFLAGS += --enable-debug
endif

INFILES := $(wildcard debian/*.desktop.in)
OUTFILES := $(INFILES:.desktop.in=.desktop)

%.desktop: %.desktop.in
	intltool-merge -d debian/po-up $< $@

PODFILES := $(wildcard debian/*.pod)
MANPAGES := $(patsubst %.pod,%,$(PODFILES))

$(MANPAGES): $(PODFILES)
	pod2man --section=$(shell echo $@ | sed 's/.*\.//') \
		--release="GNOME $(DEB_GNOME_VERSION)" \
		--center="Debian GNU/Linux" \
		$< \
		| sed -e 's/debian:://' >$@

%:
	dh $@ --with gnome,gir --without systemd

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	X_PATH="/usr/bin" \
	X_SERVER_PATH="/usr/bin" \
	X_SERVER="/usr/bin/Xorg" \
	dh_auto_configure -- \
		--libexecdir=\$${prefix}/lib/gdm3 \
		--enable-ipv6=yes \
		--enable-gdm-xsession \
		--with-at-spi-registryd-directory=/usr/lib/at-spi \
		--with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
		--with-sysconfsubdir=gdm3 \
		--with-working-directory=/var/lib/gdm3 \
		--with-xauth-dir=/var/run/gdm3 \
		--with-pid-file=/var/run/gdm3.pid \
		--with-log-dir=/var/log/gdm3 \
		--with-screenshot-dir=/var/run/gdm3/greeter \
		--with-defaults-conf=/usr/share/gdm/defaults.conf \
		--with-lang-file=/etc/default/locale \
		--disable-split-authentication \
		--with-check-accelerated-directory=/usr/lib/gnome-session/ \
		--with-ran-once-marker-directory=/var/run/gdm3 \
		--with-gnome-settings-daemon-directory="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
		$(CONFFLAGS)

override_dh_auto_build: $(OUTFILES) $(MANPAGES)
	dh_auto_build

override_dh_install:
	dh_install --list-missing
	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
#	chmod 755 debian/gdm3/etc/gdm3/Xsession
	chmod 755 debian/gdm3/usr/share/gdm/generate-config
	dh_installpam -pgdm3 --name=gdm-autologin
	dh_installpam -pgdm3 --name=gdm-launch-environment
	dh_installpam -pgdm3 --name=gdm-password
	rm -rf debian/gdm3/var/lib/gdm3/.[cgl]*
	rm -rf debian/gdm3/var/run
	rm -rf debian/gdm3/usr/include
	rm -rf debian/gdm3/usr/lib/pkgconfig
	mkdir -p debian/gdm3/lib/$(DEB_HOST_MULTIARCH)/security/
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/security/pam_gdm.so debian/gdm3/lib/$(DEB_HOST_MULTIARCH)/security/

override_dh_installinit:
	dh_installinit --noscripts --no-start

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(MANPAGES)
	rm -f $(OUTFILES)
	rm -f data/gdm.schemas data/gdm.schemas.in

override_dh_auto_test:
	# disable for now until make check in po/ works.
