## gdm3 3.22.3

=== debian/changelog ===
gdm3 (3.22.3-3+deb9u3) stretch-security; urgency=high

  * CVE-2020-16125: Prevent an issue where not having users may make GDM launch
    initial setup, permitting creation of new users with sudo capabilities.

 -- Chris Lamb <lamby@debian.org>  Thu, 05 Nov 2020 12:27:33 +0000

gdm3 (3.22.3-3+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * display-store: Pass the display object rather than the id in the removed
    signal (CVE-2018-14424)
  * display: tie skeleton handlers to object lifetime (CVE-2018-14424)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 13 Aug 2018 21:07:03 +0200

gdm3 (3.22.3-3+deb9u1) stretch; urgency=medium

  * Backports a bunch of patches to fix XDMCP support including a potential
    cracher (Closes: #873199, #814989)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 Sep 2017 11:56:40 +0200

gdm3 (3.22.3-3) unstable; urgency=medium

  * libgdm1: add breaks/replaces on good old gdm. Who knows how many users
    still have this package from squeeze and would otherwise get a broken
    dist-upgrade to stretch (hopefully not many). Closes: 781535.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 06 Jun 2017 20:17:04 +0200

gdm3 (3.22.3-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * d/p/stop-greeter-explicitly-when-finishing-display.patch: Properly stop
    the greeter processes when restarting gdm, this fixes the respawn loop and
    allow gdm to restart properly (Closes: #857995)

  [ Michael Biebl ]
  * Setup pulseaudio to run as systemd user service for Debian-gdm.
    Otherwise, if we start pulseaudio within the session, the idle-timeout of
    pulseaudio will prevent the old session scope to be properly terminated
    when the gdm service is restarted and the old logind session will remain
    in state "closing".

 -- Michael Biebl <biebl@debian.org>  Tue, 09 May 2017 23:51:57 +0200

gdm3 (3.22.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add Build-Depends on libxcb1-dev. Upstream switched from xlib to xcb for
    the main gdm process to be more robust in cases where the display
    connection has gone away.
  * Use --with-pam-mod-dir configure switch to set the location of the pam
    module directory instead of moving the .so file around manually.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Mar 2017 21:46:47 +0100

gdm3 (3.22.1-2) unstable; urgency=medium

  * Team upload.

  [ Michael Biebl ]
  * Stop setting authdir, has been dropped upstream in favour of xauthdir.

  [ Jeremy Bicha ]
  * debian/greeter.dconf-defaults:
    - Use the new emblem-debian-white.png for default login screen logo
      (Closes: #833529)

  [ Simon McVittie ]
  * Work around upgrades not being done offline:
    - Add a non-upstreamable patch to edit D-Bus messages from libgdm
      to the session worker and adapt them from the pre-3.16 interface
      to the post-3.16 interface. Only do this if a flag file in /run
      has been created, so that this workaround will only be active
      until the next reboot.
    - gdm3.preinst: Create that flag file on upgrades. (Closes: #789118)

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jan 2017 11:07:50 +0000
