=== debian/rules ===
--- 
+++ 
@@ -53,16 +53,18 @@
 	dh_auto_configure -- \
 		--libexecdir=\$${prefix}/lib/gdm3 \
 		--enable-ipv6=yes \
-		--enable-gdm-xsession \
 		--with-at-spi-registryd-directory=/usr/lib/at-spi \
 		--with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
+		--with-custom-conf=/etc/gdm3/daemon.conf \
 		--with-sysconfsubdir=gdm3 \
 		--with-working-directory=/var/lib/gdm3 \
 		--with-xauth-dir=/var/run/gdm3 \
 		--with-pid-file=/var/run/gdm3.pid \
 		--with-log-dir=/var/log/gdm3 \
+		--with-pam-mod-dir=/lib/$(DEB_HOST_MULTIARCH)/security \
 		--with-screenshot-dir=/var/run/gdm3/greeter \
 		--with-defaults-conf=/usr/share/gdm/defaults.conf \
+		--with-user=Debian-gdm --with-group=Debian-gdm \
 		--with-lang-file=/etc/default/locale \
 		--disable-split-authentication \
 		--with-check-accelerated-directory=/usr/lib/gnome-session/ \
@@ -76,7 +78,7 @@
 override_dh_install:
 	dh_install --list-missing
 	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
-#	chmod 755 debian/gdm3/etc/gdm3/Xsession
+	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	chmod 755 debian/gdm3/usr/share/gdm/generate-config
 	dh_installpam -pgdm3 --name=gdm-autologin
 	dh_installpam -pgdm3 --name=gdm-launch-environment
@@ -85,11 +87,9 @@
 	rm -rf debian/gdm3/var/run
 	rm -rf debian/gdm3/usr/include
 	rm -rf debian/gdm3/usr/lib/pkgconfig
-	mkdir -p debian/gdm3/lib/$(DEB_HOST_MULTIARCH)/security/
-	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/security/pam_gdm.so debian/gdm3/lib/$(DEB_HOST_MULTIARCH)/security/
 
 override_dh_installinit:
-	dh_installinit --noscripts --no-start
+	dh_installinit --noscripts
 
 override_dh_auto_clean:
 	dh_auto_clean
