## gdm3 3.23.4

=== debian/changelog ===
gdm3 (3.23.4-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/rules:
    - Use new --with-pam-mod-dir option instead of manually
      moving the pam modules

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2017 22:25:44 -0500
