=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gdm3
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: gnome-pkg-tools (>= 0.16.3),
               debhelper (>= 10),
               dconf-cli (>= 0.19.90),
               intltool (>= 0.40.0),
               libdbus-glib-1-dev (>= 0.74) [!linux-any],
               libglib2.0-dev (>= 2.36.0),
               libgtk-3-dev (>= 2.91.1),
               libpango1.0-dev (>= 1.3.0),
               libcanberra-gtk3-dev (>= 0.4),
               libfontconfig1-dev (>= 2.5.0),
               libaccountsservice-dev (>= 0.6.12),
               gnome-settings-daemon-dev (>= 2.91.2),
               gnome-settings-daemon (>= 2.91.2),
               libnss3-dev (>= 3.11.1),
               libx11-dev,
               libxau-dev,
               libxt-dev,
               libxext-dev,
               check (>= 0.9.10-2~),
               libgirepository1.0-dev (>= 0.9.12),
               gobject-introspection (>= 0.10.7-1~),
               libpam0g-dev,
               libkeyutils-dev [linux-any],
               libxdmcp-dev,
               libwrap0-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libplymouth-dev [linux-any] | plymouth-dev [linux-any],
               yelp-tools,
               libselinux1-dev [linux-any],
               libattr1-dev [linux-any],
               iso-codes,
               libaudit-dev [linux-any],
               docbook-xml,
               gsettings-desktop-schemas,
               libsystemd-dev [linux-any],
               xserver-xorg-dev
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gdm3/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gdm3/

Package: gdm3
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgdm1 (= ${binary:Version}),
         gir1.2-gdm-1.0 (= ${binary:Version}),
         adduser,
         bash (>= 4.3), 
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         libpam-systemd [linux-any],
         gnome-session-bin (>= 3.10),
         gnome-settings-daemon (>= 3.2),
         gnome-shell (>= 3.19.92),
         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
         lsb-base (>= 3.2-14),
         librsvg2-common,
         accountsservice (>= 0.6.12),
         policykit-1 (>= 0.105-5~) [linux-any],
         gsettings-desktop-schemas,
         libglib2.0-bin (>= 2.35.0),
         dconf-cli (>= 0.20),
         dconf-gsettings-backend (>= 0.20),
         ucf,
         x11-common (>= 1:7.6+11),
         x11-xserver-utils
Recommends: zenity,
            xserver-xephyr,
            x11-xkb-utils,
            xserver-xorg,
            at-spi2-core,
#            desktop-base (>= 6)
Suggests: libpam-gnome-keyring,
          gnome-orca
Provides: x-display-manager
Breaks: xserver-xorg-core (<< 2:1.17.2-2~)
Description: GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.

Package: libgdm1
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Breaks: gdm3 (<< 3.18.0-3~)
Replaces: gdm3 (<< 3.18.0-3~)
Description: GNOME Display Manager (shared library)
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains the shared library required by gnome-shell.

Package: libgdm-dev
Section: libdevel
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgdm1 (= ${binary:Version}),
         gir1.2-gdm-1.0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: GNOME Display Manager (development files)
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains header and development files.

Package: gir1.2-gdm-1.0
Section: introspection
Architecture: linux-any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gir1.2-gdm3
Replaces: gir1.2-gdm3
Description: GObject introspection data for the GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains introspection data for the GNOME Display Manager.
