## gdm3 3.23.91

=== debian/changelog ===
gdm3 (3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2017 09:59:53 -0500
