## gdm3 3.23.91.1

=== debian/changelog ===
gdm3 (3.23.91.1-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2017 12:49:06 -0500
