## gdm3 3.23.92

=== debian/changelog ===
gdm3 (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Mar 2017 20:44:42 -0400
