## gdm3 3.24.0

=== debian/changelog ===
gdm3 (3.24.0-0ubuntu2) zesty; urgency=medium

  * Add git_dont-cache-ignore-wayland.patch:
    - Stop over-agressive caching that broke fallback mode in some cases.
      Backported from 3.24.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Apr 2017 21:23:05 -0400

gdm3 (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 19:31:12 -0400
