## gdm3 3.24.2

=== debian/changelog ===
gdm3 (3.24.2-1ubuntu2) artful; urgency=medium

  * Drop gdm3.upstart
  * Really enable dh_auto_test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 20 May 2017 22:49:19 -0400

gdm3 (3.24.2-1ubuntu1) artful; urgency=medium

  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for ubuntu_config_error_dialog.patch
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment (LP: #952185)
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + ubuntu_run_xsession.d.patch
    + ubuntu_xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + ubuntu_nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed (LP: #1262068)
    + revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + ubuntu_config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail (LP: #678421).
    + 09_default_session.patch:
      - Dropped, all the other Ubuntu flavors use LightDM and it only takes a
        gsettings override to set a different default session
  * Drop ubuntu_upstart_event.patch:
    - Ubuntu does not offer upstart any more

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 20 May 2017 22:13:09 -0400

gdm3 (3.24.2-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Bump minimum accountsservice to 0.6.35
  * debian/rules: Don't skip dh_auto_test
  * Add 93_translate-default-desktop.patch:
    - Fix 'make check' by marking a Debian-specific file as translatable
  * Drop patches applied in new release:
    - pam_gdm-allow-setting-pam-module-dir-at-configure-ti.patch
    - stop-greeter-explicitly-when-finishing-display.patch

 -- Michael Biebl <biebl@debian.org>  Sun, 21 May 2017 01:47:02 +0200
