=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
                debhelper (>= 10),
                dconf-cli (>= 0.19.90),
@@ -18,10 +18,11 @@
                libpango1.0-dev (>= 1.3.0),
                libcanberra-gtk3-dev (>= 0.4),
                libfontconfig1-dev (>= 2.5.0),
-               libaccountsservice-dev (>= 0.6.12),
+               libaccountsservice-dev (>= 0.6.35),
                gnome-settings-daemon-dev (>= 2.91.2),
                gnome-settings-daemon (>= 2.91.2),
                libnss3-dev (>= 3.11.1),
+               libxcb1-dev,
                libx11-dev,
                libxau-dev,
                libxt-dev,
@@ -68,7 +69,7 @@
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          lsb-base (>= 3.2-14),
          librsvg2-common,
-         accountsservice (>= 0.6.12),
+         accountsservice (>= 0.6.35),
          policykit-1 (>= 0.105-5~) [linux-any],
          gsettings-desktop-schemas,
          libglib2.0-bin (>= 2.35.0),
