=== debian/rules ===
--- 
+++ 
@@ -53,9 +53,9 @@
 	dh_auto_configure -- \
 		--libexecdir=\$${prefix}/lib/gdm3 \
 		--enable-ipv6=yes \
+		--enable-gdm-xsession \
 		--with-at-spi-registryd-directory=/usr/lib/at-spi \
 		--with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
-		--with-custom-conf=/etc/gdm3/daemon.conf \
 		--with-sysconfsubdir=gdm3 \
 		--with-working-directory=/var/lib/gdm3 \
 		--with-xauth-dir=/var/run/gdm3 \
@@ -64,7 +64,6 @@
 		--with-pam-mod-dir=/lib/$(DEB_HOST_MULTIARCH)/security \
 		--with-screenshot-dir=/var/run/gdm3/greeter \
 		--with-defaults-conf=/usr/share/gdm/defaults.conf \
-		--with-user=Debian-gdm --with-group=Debian-gdm \
 		--with-lang-file=/etc/default/locale \
 		--disable-split-authentication \
 		--with-check-accelerated-directory=/usr/lib/gnome-session/ \
@@ -78,7 +77,7 @@
 override_dh_install:
 	dh_install --list-missing
 	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
-	chmod 755 debian/gdm3/etc/gdm3/Xsession
+#	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	chmod 755 debian/gdm3/usr/share/gdm/generate-config
 	dh_installpam -pgdm3 --name=gdm-autologin
 	dh_installpam -pgdm3 --name=gdm-launch-environment
@@ -89,13 +88,10 @@
 	rm -rf debian/gdm3/usr/lib/pkgconfig
 
 override_dh_installinit:
-	dh_installinit --noscripts
+	dh_installinit --noscripts --no-start
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f $(MANPAGES)
 	rm -f $(OUTFILES)
 	rm -f data/gdm.schemas data/gdm.schemas.in
-
-override_dh_auto_test:
-	# disable for now until make check in po/ works.
