## gdm3 3.26.1

=== debian/changelog ===
gdm3 (3.26.1-3ubuntu2) artful; urgency=medium

  * debian/patches/ubuntu_dont_set_language_env.patch:
    - Don't run the set_up_session_language() function, since it
      overrides variable values set by ~/.pam_environment
      (LP: #1662031). Thanks to Olivier Tilloy for debugging!

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 11 Oct 2017 13:20:09 +0200

gdm3 (3.26.1-3ubuntu1) artful; urgency=medium

  * Merge with Debian. See 3.26.0-1ubuntu1 for remaining changes.
  * Drop 95_hide_x11_sessions_with_nvidia_kdms.patch:
    - No longer needed with nvidia-384

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Oct 2017 13:50:51 -0400

gdm3 (3.26.1-3) unstable; urgency=medium

  * debian/patches/92_systemd_unit.patch:
    - Reorder the ExecReload= directives to regenerate the config files before
      reloading gdm itself
    - Drop the ExecStartPre= hack introduced to detect which DM is the default
      one, almost all the other DM's are properly providing the
      display-manager.service symlink now

 -- Laurent Bigonville <bigon@debian.org>  Thu, 05 Oct 2017 01:53:20 +0200

gdm3 (3.26.1-2) unstable; urgency=medium

  * debian/rules: Explicitly pass --with-run-dir to the configure

 -- Laurent Bigonville <bigon@debian.org>  Thu, 05 Oct 2017 00:30:24 +0200

gdm3 (3.26.1-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: #873199)
    - Drop d/p/01_gdm-session-Calculate-fallback-session-name-without-.patch,
      applied upstream
  * debian/control.in: Bump Standards-Version to 4.1.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 Oct 2017 10:12:45 +0200

gdm3 (3.26.0-1ubuntu1) artful; urgency=medium

  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for ubuntu_config_error_dialog.patch
      - Update Vcs field
      - Don't build for s390x since gnome-shell isn't available there
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
      - Only do gdm3 things when we're building gdm3
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment (LP: #952185)
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + debian/gdm3.config
      - Only prompt the user to choose display managers when we haven't
        already determined a migration to gdm3 is recommended.
      - Handle the transition from lightdm in gdm3 rather than
        ubuntu-session
      - Check the version of gdm3 instead of ubuntu-session. If
        ubuntu-session wasn't installed, the previous version generated
        stderr output. (It didn't fail, because the dpkg-query call was
        first in the pipeline and the awk call always succeeds.) If gdm3
        was configured before ubuntu-session then this check wouldn't have
        worked either. I think that instead we can compare the version of
        gdm3 itself, and do this transition when we upgrade from an old
        version or install gdm3 for the first time.
    + ubuntu_run_xsession.d.patch
    + ubuntu_xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + ubuntu_nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed (LP: #1262068)
    + revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + ubuntu_config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail (LP: #678421).
    + Add revert_drop_gdm_shell_session.patch:
      - Revert commit that requires gnome-session to be installed
    + debian/default.pa
      - Added new file to disable Bluetooth audio devices in PulseAudio from
        gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/patches/95_hide_x11_sessions_with_nvidia_kms.patch: Patch from
      Alberto Milone. On nvidia, if the user has enabled KMS, don't show X11
      sessions and force Wayland instead since X11 won't work there.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Sep 2017 08:09:09 -0400

gdm3 (3.26.0-1) unstable; urgency=medium

  * New upstream stable release
    - Fix for unauthenticated unlock when autologin is enabled
      (CVE-2017-12164)
    - Fix for going to normal mode after classic
    - crasher fix when user switching
    - make sure reauthentication is run in right context
  * debian/patches/01_gdm-session-Calculate-fallback-session-name-without-.patch:
    Cherry-pick from upstream. Calculate the default (`fallback') session in
    the same way as gnome-shell does, fixing an out-of-sync issue between the
    greeter and gdm's idea of the first session. (LP: #1705157)
  * debian/patches/92_systemd_unit.patch: No need to patch to send HUP - this
    is done upstream now.

 -- Iain Lane <laney@debian.org>  Wed, 13 Sep 2017 16:20:09 +0100

gdm3 (3.25.90.1-2) unstable; urgency=medium

  * New upstream release
  * Drop revert_drop_gdm_shell_session.patch: Applied in new release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 31 Aug 2017 21:36:30 -0400

gdm3 (3.24.2-3) unstable; urgency=medium

  * Release to unstable (Closes: #869943)
  * debian/control.in:

