=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
                debhelper (>= 10),
                dconf-cli (>= 0.19.90),
@@ -19,8 +19,8 @@
                libcanberra-gtk3-dev (>= 0.4),
                libfontconfig1-dev (>= 2.5.0),
                libaccountsservice-dev (>= 0.6.35),
-               gnome-settings-daemon-dev (>= 2.91.2),
-               gnome-settings-daemon (>= 2.91.2),
+               gnome-settings-daemon-dev (>= 3.24.0),
+               gnome-settings-daemon (>= 3.24.0),
                libnss3-dev (>= 3.11.1),
                libxcb1-dev,
                libx11-dev,
@@ -47,24 +47,23 @@
                gsettings-desktop-schemas,
                libsystemd-dev [linux-any],
                xserver-xorg-dev
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gdm3/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gdm3/
+Standards-Version: 4.1.1
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gdm/ubuntu
 
 Package: gdm3
-Architecture: linux-any
+Architecture: amd64 arm64 armhf i386 ppc64el
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgdm1 (= ${binary:Version}),
          gir1.2-gdm-1.0 (= ${binary:Version}),
          adduser,
-         bash (>= 4.3), 
+         bash (>= 4.3),
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
          libpam-systemd [linux-any],
          gnome-session-bin (>= 3.10),
-         gnome-settings-daemon (>= 3.2),
+         gnome-settings-daemon (>= 3.24),
          gnome-shell (>= 3.19.92),
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          lsb-base (>= 3.2-14),
