=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 include /usr/share/dpkg/buildflags.mk
+
+binaries := $(shell dh_listpackages)
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 CONFFLAGS += \
@@ -59,6 +61,7 @@
 		--with-sysconfsubdir=gdm3 \
 		--with-working-directory=/var/lib/gdm3 \
 		--with-xauth-dir=/var/run/gdm3 \
+		--with-run-dir=/var/run/gdm3 \
 		--with-pid-file=/var/run/gdm3.pid \
 		--with-log-dir=/var/log/gdm3 \
 		--with-pam-mod-dir=/lib/$(DEB_HOST_MULTIARCH)/security \
@@ -76,6 +79,7 @@
 
 override_dh_install:
 	dh_install --list-missing
+ifneq ($(filter gdm3,$(binaries)),)
 	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
 #	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	chmod 755 debian/gdm3/usr/share/gdm/generate-config
@@ -86,6 +90,7 @@
 	rm -rf debian/gdm3/var/run
 	rm -rf debian/gdm3/usr/include
 	rm -rf debian/gdm3/usr/lib/pkgconfig
+endif
 
 override_dh_installinit:
 	dh_installinit --noscripts --no-start
