## gdm3 3.28.0

=== debian/changelog ===
gdm3 (3.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/p/ubuntu_prefer_ubuntu_session_fallback.patch: fix spelling
    in patch description that caused a lintian warning.

 -- Tim Lunn <tim@feathertop.org>  Sun, 01 Apr 2018 10:59:26 +1000

gdm3 (3.27.92-0ubuntu1) bionic; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Fri, 09 Mar 2018 19:09:14 +1100

gdm3 (3.27.90-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * Install new files
  * Have libgdm-dev depend on libglib2.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Feb 2018 14:57:39 -0500

gdm3 (3.26.2.1-2ubuntu2) bionic; urgency=medium

  * ubuntu_prefer_ubuntu_session_fallback.patch:
    Prefer ubuntu session as fallback over GNOME.
    As GNOME, optionnally installed, is a Wayland session and ubuntu
    is now transitionned as a Xorg session, the fallback will prefer
    naturally the GNOME session. Ensure we prioritize the ubuntu
    session in fallback order.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 06 Feb 2018 10:51:05 +0100

gdm3 (3.26.2.1-2ubuntu1) bionic; urgency=medium

  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for ubuntu_config_error_dialog.patch
      - Update Vcs field
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
      - Only do gdm3 things when we're building gdm3
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment (LP: #952185)
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + debian/gdm3.config
      - Only prompt the user to choose display managers when we haven't
        already determined a migration to gdm3 is recommended.
      - Handle the transition from lightdm in gdm3 rather than
        ubuntu-session
      - Check the version of gdm3 instead of ubuntu-session. If
        ubuntu-session wasn't installed, the previous version generated
        stderr output. (It didn't fail, because the dpkg-query call was
        first in the pipeline and the awk call always succeeds.) If gdm3
        was configured before ubuntu-session then this check wouldn't have
        worked either. I think that instead we can compare the version of
        gdm3 itself, and do this transition when we upgrade from an old
        version or install gdm3 for the first time.
    + Add ubuntu_run_xsession.d.patch
    + Add ubuntu_xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + Add ubuntu_nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed (LP: #1262068)
    + Add revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + Add ubuntu_dont_set_language_env.patch:
      - Don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment (LP: #1662031)
    + Add ubuntu_config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail (LP: #678421).
    + Add revert_drop_gdm_shell_session.patch:
      - Revert commit that requires gnome-session to be installed
    + Add debian/default.pa
      - Disable Bluetooth audio devices in PulseAudio from gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Oct 2017 13:50:51 -0400

gdm3 (3.26.2.1-2) unstable; urgency=medium

  * debian/gdm3.gdm-fingerprint.pam: Add PAM service to allow the user to
    authenticate using fingerprints. This requires installing libpam-fprintd
    (>= 0.8.0-2) and that the fprintd module is NOT included in common-auth

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 Nov 2017 13:22:14 +0100

gdm3 (3.26.2.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete libdbus-glib-1-dev Build-Depends
  * Drop obsolete alternative plymouth-dev Build-Depends
  * Update symbols files for libgdm1 for the ChoiceList API additions
  * Use dh_missing to list uninstalled files
  * Drop obsolete maintainer scripts code handling upgrades from pre-jessie
  * Disable static libraries as we don't install them anyway
  * Updated Greek translation by Vangelis Skarmoutsos. (Closes: #867563)
  * Drop 11_xephyr_nested.patch from debian/po-up/POTFILES.in as this patch
    has been dropped

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Nov 2017 16:11:34 +0100
