=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gdm3
@@ -7,12 +7,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
-               debhelper (>= 10),
+               debhelper (>= 10.3),
                dconf-cli (>= 0.19.90),
                intltool (>= 0.40.0),
-               libdbus-glib-1-dev (>= 0.74) [!linux-any],
                libglib2.0-dev (>= 2.36.0),
                libgtk-3-dev (>= 2.91.1),
                libpango1.0-dev (>= 1.3.0),
@@ -37,7 +36,7 @@
                libxft-dev,
                libxi-dev,
                libxinerama-dev,
-               libplymouth-dev [linux-any] | plymouth-dev [linux-any],
+               libplymouth-dev [linux-any],
                yelp-tools,
                libselinux1-dev [linux-any],
                libattr1-dev [linux-any],
@@ -51,7 +50,7 @@
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gdm/ubuntu
 
 Package: gdm3
-Architecture: amd64 arm64 armhf i386 ppc64el
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -84,7 +83,8 @@
             at-spi2-core,
 #            desktop-base (>= 6)
 Suggests: libpam-gnome-keyring,
-          gnome-orca
+          gnome-orca,
+          libpam-fprintd (>= 0.8.0-2)
 Provides: x-display-manager
 Breaks: xserver-xorg-core (<< 2:1.17.2-2~)
 Description: GNOME Display Manager
@@ -121,6 +121,7 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libgdm1 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.36.0),
          gir1.2-gdm-1.0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
