=== debian/watch ===
version=4
https://download.gnome.org/sources/gdm/([\d\.]+[02468])/ \
	gdm@ANY_VERSION@\.tar\.xz
